function disp(THIS)
% DISP  [Not a public function] Display method for syeq objects.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

thisclass = class(THIS);
nalt = size(THIS.Assign,3);

if isempty(THIS.Assign)
    fprintf('\tempty %s object\n',thisclass);
else    
    fprintf('\t%s object: %g parameterisation(s)\n',thisclass,nalt);
end

disp@userdataobj(THIS);
disp(' ');

end